Skip to content

รายการไลฟ์สตรีมที่เกี่ยวข้องกับร้านค้า

บทนำ

รับข้อมูลรายการไลฟ์สตรีมที่เกี่ยวข้องกับร้านค้าที่ระบุ

เอนด์พอยต์

bash
    POST /shop/v1/liveList

เนื้อความคำขอ

ฟิลด์ประเภทจำเป็นคำอธิบาย
filterobjectไม่พารามิเตอร์ตัวกรอง
orderbyarrayไม่พารามิเตอร์การจัดเรียง
pageintegerไม่ค่าเริ่มต้น: 1
pagesizeintegerไม่ค่าเริ่มต้น: 10

ค่าตัวเลือกของ filter

ฟิลด์ประเภทจำเป็นคำอธิบาย
seller_idstringไม่ID ร้านค้า
creator_uidstringไม่UID ครีเอเตอร์ที่เชื่อมโยงกับร้านค้า
creator_unique_idstringไม่ID ครีเอเตอร์ไม่ซ้ำที่เชื่อมโยงกับร้านค้า: @xxxxxxx
seller_namestringไม่ชื่อร้านค้า
regionstringไม่ประเทศ/ภูมิภาคของร้านค้า

seller_name และ region ต้องส่งมาพร้อมกัน

ค่าตัวเลือกของ orderby

ฟิลด์จำเป็นคำอธิบาย
start_timeไม่เวลาเริ่มต้น
product_countไม่จำนวนสินค้าในห้องไลฟ์
total_user_countไม่จำนวนผู้ชมทั้งหมด
units_soldไม่ยอดขาย
gmvไม่ยอดขาย (GMV)

ตัวอย่างคำขอ

bash
curl 'https://openapi.fastmoss.com/shop/v1/liveList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "seller_id": "7495500842223700917",
        # "creator_uid": "6913013214088004614",
        # "creator_unique_id": "caffeinecandleschaos",

        # "seller_name": "Caffeine, Candles & Chaos",
        # "region": "US",
    },
    "orderby": [{
        "field": "start_time",
        "order": "desc"
    }],
    # "orderby": [{
    #     "field": "product_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "total_user_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "units_sold",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "gmv",
    #     "order": "desc"
    # }],
    "page": 1,
    "pagesize": 10
}'

เนื้อความการตอบกลับ

data.list

ฟิลด์ประเภทคำอธิบาย
titlestringชื่อห้องไลฟ์
room_idstringID ห้องไลฟ์
seller_idstringID ร้านค้า
uidstringUID ครีเอเตอร์ที่เชื่อมโยงกับร้านค้า
coverstringURL รูปภาพปก
main_category_namestringชื่อหมวดหมู่หลักที่โปรโมท
main_category_idintID หมวดหมู่หลักที่โปรโมท
start_timeintเวลาเริ่มต้น
units_soldintยอดขาย
gmvfloatยอดขาย (GMV)
product_countintจำนวนสินค้าในห้องไลฟ์
total_userintจำนวนผู้ชมทั้งหมด
durationintระยะเวลาไลฟ์ (วินาที)
max_user_countintผู้ชมพร้อมกันสูงสุด
inc_follower_countintการเติบโตของผู้ติดตาม
share_countintจำนวนการแชร์
is_liveintกำลังไลฟ์อยู่หรือไม่
live_typeintประเภทไลฟ์ 1: ไลฟ์ของร้าน 2: ไลฟ์ส่วนบุคคล
creatorobjectข้อมูลครีเอเตอร์ที่เชื่อมโยง

data.list.creator

ฟิลด์ประเภทคำอธิบาย
uidstringID ผู้ใช้
nicknamestringชื่อเล่นของผู้ใช้
unique_idstringID ไม่ซ้ำของผู้ใช้
avatarstringURL รูปโปรไฟล์ผู้ใช้
regionstringประเทศ/ภูมิภาคของผู้ใช้
follower_countintจำนวนผู้ติดตามของผู้ใช้
category_idintID หมวดหมู่ผู้ใช้
category_namestringชื่อหมวดหมู่ผู้ใช้

data.total

ฟิลด์ประเภทคำอธิบาย
totalstringจำนวนรายการทั้งหมด

ตัวอย่างการตอบกลับ

json
{
  "code": 0,
  "data": {
    "total": 11943,
    "list": [
      {
        "title": "Food and snacks",
        "room_id": "7539139975317703438",
        "cover": "https://s.500fd.com/tt_live/7411364270883588910~tplv-obj.image",
        "main_category_id": 24,
        "main_category_name": "Food & Beverages",
        "creator": {
          "uid": "73083231876554752",
          "avatar": "https://s.500fd.com/tt_author/5aa17bc74b4fd2b91ae364d2a2c6e4d6~tplv-tiktokx-cropcenter:1080:1080.jpeg",
          "region": "US",
          "nickname": "Courtney Luper 🗝️✨",
          "unique_id": "courtneyluper",
          "follower_count": 17183,
          "category_id": 5,
          "category_name": "Food & Beverage"
        },
        "start_time": 1755343248,
        "units_sold": 1939,
        "gmv": 4253.69,
        "product_count": 99,
        "total_user": 84333,
        "duration": 37159,
        "max_user_count": 430,
        "inc_follower_count": 243,
        "share_count": 188,
        "is_live": 0,
        "live_type": 2
      }
    ]
  },
  "message": "success",
  "timestamp": 1773751121,
  "request_id": "76d984e2-e0f8-d04c-dc2d-c1fc9a18ffda"
}